IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/72
Addresses2^56
/64 networksPart of one
- Network
2001:db8:0:0:eb00::/72- First address
2001:db8:0:0:eb00::- Last address
2001:db8::ebff:ffff:ffff:ffff- Addresses
- 72,057,594,037,927,936 (2^56)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2001:0db8:0000:0000:eb00:0000:0000:0000- Type
- Documentation 2001:db8::/32
For examples; never used on a network - Reverse DNS zone
b.e.0.0.0.0.0.0.0.0.8.b.d.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:db8:0:0:eb00::/72 makes 256 subnets of /80.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:db8:0:0:eb00::/80 | 2001:db8::eb00:ffff:ffff:ffff |
| 2 | 2001:db8:0:0:eb01::/80 | 2001:db8::eb01:ffff:ffff:ffff |
| 3 | 2001:db8:0:0:eb02::/80 | 2001:db8::eb02:ffff:ffff:ffff |
| 4 | 2001:db8:0:0:eb03::/80 | 2001:db8::eb03:ffff:ffff:ffff |
| 5 | 2001:db8:0:0:eb04::/80 | 2001:db8::eb04:ffff:ffff:ffff |
| 6 | 2001:db8:0:0:eb05::/80 | 2001:db8::eb05:ffff:ffff:ffff |
| 7 | 2001:db8:0:0:eb06::/80 | 2001:db8::eb06:ffff:ffff:ffff |
| 8 | 2001:db8:0:0:eb07::/80 | 2001:db8::eb07:ffff:ffff:ffff |
| 9 | 2001:db8:0:0:eb08::/80 | 2001:db8::eb08:ffff:ffff:ffff |
| 10 | 2001:db8:0:0:eb09::/80 | 2001:db8::eb09:ffff:ffff:ffff |
| 11 | 2001:db8:0:0:eb0a::/80 | 2001:db8::eb0a:ffff:ffff:ffff |
| 12 | 2001:db8:0:0:eb0b::/80 | 2001:db8::eb0b:ffff:ffff:ffff |
| 13 | 2001:db8:0:0:eb0c::/80 | 2001:db8::eb0c:ffff:ffff:ffff |
| 14 | 2001:db8:0:0:eb0d::/80 | 2001:db8::eb0d:ffff:ffff:ffff |
| 15 | 2001:db8:0:0:eb0e::/80 | 2001:db8::eb0e:ffff:ffff:ffff |
| 16 | 2001:db8:0:0:eb0f::/80 | 2001:db8::eb0f:ffff:ffff:ffff |
| 17 | 2001:db8:0:0:eb10::/80 | 2001:db8::eb10:ffff:ffff:ffff |
| 18 | 2001:db8:0:0:eb11::/80 | 2001:db8::eb11:ffff:ffff:ffff |
| 19 | 2001:db8:0:0:eb12::/80 | 2001:db8::eb12:ffff:ffff:ffff |
| 20 | 2001:db8:0:0:eb13::/80 | 2001:db8::eb13:ffff:ffff:ffff |
| 21 | 2001:db8:0:0:eb14::/80 | 2001:db8::eb14:ffff:ffff:ffff |
| 22 | 2001:db8:0:0:eb15::/80 | 2001:db8::eb15:ffff:ffff:ffff |
| 23 | 2001:db8:0:0:eb16::/80 | 2001:db8::eb16:ffff:ffff:ffff |
| 24 | 2001:db8:0:0:eb17::/80 | 2001:db8::eb17:ffff:ffff:ffff |
| 25 | 2001:db8:0:0:eb18::/80 | 2001:db8::eb18:ffff:ffff:ffff |
| 26 | 2001:db8:0:0:eb19::/80 | 2001:db8::eb19:ffff:ffff:ffff |
| 27 | 2001:db8:0:0:eb1a::/80 | 2001:db8::eb1a:ffff:ffff:ffff |
| 28 | 2001:db8:0:0:eb1b::/80 | 2001:db8::eb1b:ffff:ffff:ffff |
| 29 | 2001:db8:0:0:eb1c::/80 | 2001:db8::eb1c:ffff:ffff:ffff |
| 30 | 2001:db8:0:0:eb1d::/80 | 2001:db8::eb1d:ffff:ffff:ffff |
| 31 | 2001:db8:0:0:eb1e::/80 | 2001:db8::eb1e:ffff:ffff:ffff |
| 32 | 2001:db8:0:0:eb1f::/80 | 2001:db8::eb1f:ffff:ffff:ffff |
| 33 | 2001:db8:0:0:eb20::/80 | 2001:db8::eb20:ffff:ffff:ffff |
| 34 | 2001:db8:0:0:eb21::/80 | 2001:db8::eb21:ffff:ffff:ffff |
| 35 | 2001:db8:0:0:eb22::/80 | 2001:db8::eb22:ffff:ffff:ffff |
| 36 | 2001:db8:0:0:eb23::/80 | 2001:db8::eb23:ffff:ffff:ffff |
| 37 | 2001:db8:0:0:eb24::/80 | 2001:db8::eb24:ffff:ffff:ffff |
| 38 | 2001:db8:0:0:eb25::/80 | 2001:db8::eb25:ffff:ffff:ffff |
| 39 | 2001:db8:0:0:eb26::/80 | 2001:db8::eb26:ffff:ffff:ffff |
| 40 | 2001:db8:0:0:eb27::/80 | 2001:db8::eb27:ffff:ffff:ffff |
| 41 | 2001:db8:0:0:eb28::/80 | 2001:db8::eb28:ffff:ffff:ffff |
| 42 | 2001:db8:0:0:eb29::/80 | 2001:db8::eb29:ffff:ffff:ffff |
| 43 | 2001:db8:0:0:eb2a::/80 | 2001:db8::eb2a:ffff:ffff:ffff |
| 44 | 2001:db8:0:0:eb2b::/80 | 2001:db8::eb2b:ffff:ffff:ffff |
| 45 | 2001:db8:0:0:eb2c::/80 | 2001:db8::eb2c:ffff:ffff:ffff |
| 46 | 2001:db8:0:0:eb2d::/80 | 2001:db8::eb2d:ffff:ffff:ffff |
| 47 | 2001:db8:0:0:eb2e::/80 | 2001:db8::eb2e:ffff:ffff:ffff |
| 48 | 2001:db8:0:0:eb2f::/80 | 2001:db8::eb2f:ffff:ffff:ffff |
| 49 | 2001:db8:0:0:eb30::/80 | 2001:db8::eb30:ffff:ffff:ffff |
| 50 | 2001:db8:0:0:eb31::/80 | 2001:db8::eb31:ffff:ffff:ffff |
| 51 | 2001:db8:0:0:eb32::/80 | 2001:db8::eb32:ffff:ffff:ffff |
| 52 | 2001:db8:0:0:eb33::/80 | 2001:db8::eb33:ffff:ffff:ffff |
| 53 | 2001:db8:0:0:eb34::/80 | 2001:db8::eb34:ffff:ffff:ffff |
| 54 | 2001:db8:0:0:eb35::/80 | 2001:db8::eb35:ffff:ffff:ffff |
| 55 | 2001:db8:0:0:eb36::/80 | 2001:db8::eb36:ffff:ffff:ffff |
| 56 | 2001:db8:0:0:eb37::/80 | 2001:db8::eb37:ffff:ffff:ffff |
| 57 | 2001:db8:0:0:eb38::/80 | 2001:db8::eb38:ffff:ffff:ffff |
| 58 | 2001:db8:0:0:eb39::/80 | 2001:db8::eb39:ffff:ffff:ffff |
| 59 | 2001:db8:0:0:eb3a::/80 | 2001:db8::eb3a:ffff:ffff:ffff |
| 60 | 2001:db8:0:0:eb3b::/80 | 2001:db8::eb3b:ffff:ffff:ffff |
| 61 | 2001:db8:0:0:eb3c::/80 | 2001:db8::eb3c:ffff:ffff:ffff |
| 62 | 2001:db8:0:0:eb3d::/80 | 2001:db8::eb3d:ffff:ffff:ffff |
| 63 | 2001:db8:0:0:eb3e::/80 | 2001:db8::eb3e:ffff:ffff:ffff |
| 64 | 2001:db8:0:0:eb3f::/80 | 2001:db8::eb3f:ffff:ffff:ffff |
| 65 | 2001:db8:0:0:eb40::/80 | 2001:db8::eb40:ffff:ffff:ffff |
| 66 | 2001:db8:0:0:eb41::/80 | 2001:db8::eb41:ffff:ffff:ffff |
| 67 | 2001:db8:0:0:eb42::/80 | 2001:db8::eb42:ffff:ffff:ffff |
| 68 | 2001:db8:0:0:eb43::/80 | 2001:db8::eb43:ffff:ffff:ffff |
| 69 | 2001:db8:0:0:eb44::/80 | 2001:db8::eb44:ffff:ffff:ffff |
| 70 | 2001:db8:0:0:eb45::/80 | 2001:db8::eb45:ffff:ffff:ffff |
| 71 | 2001:db8:0:0:eb46::/80 | 2001:db8::eb46:ffff:ffff:ffff |
| 72 | 2001:db8:0:0:eb47::/80 | 2001:db8::eb47:ffff:ffff:ffff |
| 73 | 2001:db8:0:0:eb48::/80 | 2001:db8::eb48:ffff:ffff:ffff |
| 74 | 2001:db8:0:0:eb49::/80 | 2001:db8::eb49:ffff:ffff:ffff |
| 75 | 2001:db8:0:0:eb4a::/80 | 2001:db8::eb4a:ffff:ffff:ffff |
| 76 | 2001:db8:0:0:eb4b::/80 | 2001:db8::eb4b:ffff:ffff:ffff |
| 77 | 2001:db8:0:0:eb4c::/80 | 2001:db8::eb4c:ffff:ffff:ffff |
| 78 | 2001:db8:0:0:eb4d::/80 | 2001:db8::eb4d:ffff:ffff:ffff |
| 79 | 2001:db8:0:0:eb4e::/80 | 2001:db8::eb4e:ffff:ffff:ffff |
| 80 | 2001:db8:0:0:eb4f::/80 | 2001:db8::eb4f:ffff:ffff:ffff |
| 81 | 2001:db8:0:0:eb50::/80 | 2001:db8::eb50:ffff:ffff:ffff |
| 82 | 2001:db8:0:0:eb51::/80 | 2001:db8::eb51:ffff:ffff:ffff |
| 83 | 2001:db8:0:0:eb52::/80 | 2001:db8::eb52:ffff:ffff:ffff |
| 84 | 2001:db8:0:0:eb53::/80 | 2001:db8::eb53:ffff:ffff:ffff |
| 85 | 2001:db8:0:0:eb54::/80 | 2001:db8::eb54:ffff:ffff:ffff |
| 86 | 2001:db8:0:0:eb55::/80 | 2001:db8::eb55:ffff:ffff:ffff |
| 87 | 2001:db8:0:0:eb56::/80 | 2001:db8::eb56:ffff:ffff:ffff |
| 88 | 2001:db8:0:0:eb57::/80 | 2001:db8::eb57:ffff:ffff:ffff |
| 89 | 2001:db8:0:0:eb58::/80 | 2001:db8::eb58:ffff:ffff:ffff |
| 90 | 2001:db8:0:0:eb59::/80 | 2001:db8::eb59:ffff:ffff:ffff |
| 91 | 2001:db8:0:0:eb5a::/80 | 2001:db8::eb5a:ffff:ffff:ffff |
| 92 | 2001:db8:0:0:eb5b::/80 | 2001:db8::eb5b:ffff:ffff:ffff |
| 93 | 2001:db8:0:0:eb5c::/80 | 2001:db8::eb5c:ffff:ffff:ffff |
| 94 | 2001:db8:0:0:eb5d::/80 | 2001:db8::eb5d:ffff:ffff:ffff |
| 95 | 2001:db8:0:0:eb5e::/80 | 2001:db8::eb5e:ffff:ffff:ffff |
| 96 | 2001:db8:0:0:eb5f::/80 | 2001:db8::eb5f:ffff:ffff:ffff |
| 97 | 2001:db8:0:0:eb60::/80 | 2001:db8::eb60:ffff:ffff:ffff |
| 98 | 2001:db8:0:0:eb61::/80 | 2001:db8::eb61:ffff:ffff:ffff |
| 99 | 2001:db8:0:0:eb62::/80 | 2001:db8::eb62:ffff:ffff:ffff |
| 100 | 2001:db8:0:0:eb63::/80 | 2001:db8::eb63:ffff:ffff:ffff |
| 101 | 2001:db8:0:0:eb64::/80 | 2001:db8::eb64:ffff:ffff:ffff |
| 102 | 2001:db8:0:0:eb65::/80 | 2001:db8::eb65:ffff:ffff:ffff |
| 103 | 2001:db8:0:0:eb66::/80 | 2001:db8::eb66:ffff:ffff:ffff |
| 104 | 2001:db8:0:0:eb67::/80 | 2001:db8::eb67:ffff:ffff:ffff |
| 105 | 2001:db8:0:0:eb68::/80 | 2001:db8::eb68:ffff:ffff:ffff |
| 106 | 2001:db8:0:0:eb69::/80 | 2001:db8::eb69:ffff:ffff:ffff |
| 107 | 2001:db8:0:0:eb6a::/80 | 2001:db8::eb6a:ffff:ffff:ffff |
| 108 | 2001:db8:0:0:eb6b::/80 | 2001:db8::eb6b:ffff:ffff:ffff |
| 109 | 2001:db8:0:0:eb6c::/80 | 2001:db8::eb6c:ffff:ffff:ffff |
| 110 | 2001:db8:0:0:eb6d::/80 | 2001:db8::eb6d:ffff:ffff:ffff |
| 111 | 2001:db8:0:0:eb6e::/80 | 2001:db8::eb6e:ffff:ffff:ffff |
| 112 | 2001:db8:0:0:eb6f::/80 | 2001:db8::eb6f:ffff:ffff:ffff |
| 113 | 2001:db8:0:0:eb70::/80 | 2001:db8::eb70:ffff:ffff:ffff |
| 114 | 2001:db8:0:0:eb71::/80 | 2001:db8::eb71:ffff:ffff:ffff |
| 115 | 2001:db8:0:0:eb72::/80 | 2001:db8::eb72:ffff:ffff:ffff |
| 116 | 2001:db8:0:0:eb73::/80 | 2001:db8::eb73:ffff:ffff:ffff |
| 117 | 2001:db8:0:0:eb74::/80 | 2001:db8::eb74:ffff:ffff:ffff |
| 118 | 2001:db8:0:0:eb75::/80 | 2001:db8::eb75:ffff:ffff:ffff |
| 119 | 2001:db8:0:0:eb76::/80 | 2001:db8::eb76:ffff:ffff:ffff |
| 120 | 2001:db8:0:0:eb77::/80 | 2001:db8::eb77:ffff:ffff:ffff |
| 121 | 2001:db8:0:0:eb78::/80 | 2001:db8::eb78:ffff:ffff:ffff |
| 122 | 2001:db8:0:0:eb79::/80 | 2001:db8::eb79:ffff:ffff:ffff |
| 123 | 2001:db8:0:0:eb7a::/80 | 2001:db8::eb7a:ffff:ffff:ffff |
| 124 | 2001:db8:0:0:eb7b::/80 | 2001:db8::eb7b:ffff:ffff:ffff |
| 125 | 2001:db8:0:0:eb7c::/80 | 2001:db8::eb7c:ffff:ffff:ffff |
| 126 | 2001:db8:0:0:eb7d::/80 | 2001:db8::eb7d:ffff:ffff:ffff |
| 127 | 2001:db8:0:0:eb7e::/80 | 2001:db8::eb7e:ffff:ffff:ffff |
| 128 | 2001:db8:0:0:eb7f::/80 | 2001:db8::eb7f:ffff:ffff:ffff |
| 129 | 2001:db8:0:0:eb80::/80 | 2001:db8::eb80:ffff:ffff:ffff |
| 130 | 2001:db8:0:0:eb81::/80 | 2001:db8::eb81:ffff:ffff:ffff |
| 131 | 2001:db8:0:0:eb82::/80 | 2001:db8::eb82:ffff:ffff:ffff |
| 132 | 2001:db8:0:0:eb83::/80 | 2001:db8::eb83:ffff:ffff:ffff |
| 133 | 2001:db8:0:0:eb84::/80 | 2001:db8::eb84:ffff:ffff:ffff |
| 134 | 2001:db8:0:0:eb85::/80 | 2001:db8::eb85:ffff:ffff:ffff |
| 135 | 2001:db8:0:0:eb86::/80 | 2001:db8::eb86:ffff:ffff:ffff |
| 136 | 2001:db8:0:0:eb87::/80 | 2001:db8::eb87:ffff:ffff:ffff |
| 137 | 2001:db8:0:0:eb88::/80 | 2001:db8::eb88:ffff:ffff:ffff |
| 138 | 2001:db8:0:0:eb89::/80 | 2001:db8::eb89:ffff:ffff:ffff |
| 139 | 2001:db8:0:0:eb8a::/80 | 2001:db8::eb8a:ffff:ffff:ffff |
| 140 | 2001:db8:0:0:eb8b::/80 | 2001:db8::eb8b:ffff:ffff:ffff |
| 141 | 2001:db8:0:0:eb8c::/80 | 2001:db8::eb8c:ffff:ffff:ffff |
| 142 | 2001:db8:0:0:eb8d::/80 | 2001:db8::eb8d:ffff:ffff:ffff |
| 143 | 2001:db8:0:0:eb8e::/80 | 2001:db8::eb8e:ffff:ffff:ffff |
| 144 | 2001:db8:0:0:eb8f::/80 | 2001:db8::eb8f:ffff:ffff:ffff |
| 145 | 2001:db8:0:0:eb90::/80 | 2001:db8::eb90:ffff:ffff:ffff |
| 146 | 2001:db8:0:0:eb91::/80 | 2001:db8::eb91:ffff:ffff:ffff |
| 147 | 2001:db8:0:0:eb92::/80 | 2001:db8::eb92:ffff:ffff:ffff |
| 148 | 2001:db8:0:0:eb93::/80 | 2001:db8::eb93:ffff:ffff:ffff |
| 149 | 2001:db8:0:0:eb94::/80 | 2001:db8::eb94:ffff:ffff:ffff |
| 150 | 2001:db8:0:0:eb95::/80 | 2001:db8::eb95:ffff:ffff:ffff |
| 151 | 2001:db8:0:0:eb96::/80 | 2001:db8::eb96:ffff:ffff:ffff |
| 152 | 2001:db8:0:0:eb97::/80 | 2001:db8::eb97:ffff:ffff:ffff |
| 153 | 2001:db8:0:0:eb98::/80 | 2001:db8::eb98:ffff:ffff:ffff |
| 154 | 2001:db8:0:0:eb99::/80 | 2001:db8::eb99:ffff:ffff:ffff |
| 155 | 2001:db8:0:0:eb9a::/80 | 2001:db8::eb9a:ffff:ffff:ffff |
| 156 | 2001:db8:0:0:eb9b::/80 | 2001:db8::eb9b:ffff:ffff:ffff |
| 157 | 2001:db8:0:0:eb9c::/80 | 2001:db8::eb9c:ffff:ffff:ffff |
| 158 | 2001:db8:0:0:eb9d::/80 | 2001:db8::eb9d:ffff:ffff:ffff |
| 159 | 2001:db8:0:0:eb9e::/80 | 2001:db8::eb9e:ffff:ffff:ffff |
| 160 | 2001:db8:0:0:eb9f::/80 | 2001:db8::eb9f:ffff:ffff:ffff |
| 161 | 2001:db8:0:0:eba0::/80 | 2001:db8::eba0:ffff:ffff:ffff |
| 162 | 2001:db8:0:0:eba1::/80 | 2001:db8::eba1:ffff:ffff:ffff |
| 163 | 2001:db8:0:0:eba2::/80 | 2001:db8::eba2:ffff:ffff:ffff |
| 164 | 2001:db8:0:0:eba3::/80 | 2001:db8::eba3:ffff:ffff:ffff |
| 165 | 2001:db8:0:0:eba4::/80 | 2001:db8::eba4:ffff:ffff:ffff |
| 166 | 2001:db8:0:0:eba5::/80 | 2001:db8::eba5:ffff:ffff:ffff |
| 167 | 2001:db8:0:0:eba6::/80 | 2001:db8::eba6:ffff:ffff:ffff |
| 168 | 2001:db8:0:0:eba7::/80 | 2001:db8::eba7:ffff:ffff:ffff |
| 169 | 2001:db8:0:0:eba8::/80 | 2001:db8::eba8:ffff:ffff:ffff |
| 170 | 2001:db8:0:0:eba9::/80 | 2001:db8::eba9:ffff:ffff:ffff |
| 171 | 2001:db8:0:0:ebaa::/80 | 2001:db8::ebaa:ffff:ffff:ffff |
| 172 | 2001:db8:0:0:ebab::/80 | 2001:db8::ebab:ffff:ffff:ffff |
| 173 | 2001:db8:0:0:ebac::/80 | 2001:db8::ebac:ffff:ffff:ffff |
| 174 | 2001:db8:0:0:ebad::/80 | 2001:db8::ebad:ffff:ffff:ffff |
| 175 | 2001:db8:0:0:ebae::/80 | 2001:db8::ebae:ffff:ffff:ffff |
| 176 | 2001:db8:0:0:ebaf::/80 | 2001:db8::ebaf:ffff:ffff:ffff |
| 177 | 2001:db8:0:0:ebb0::/80 | 2001:db8::ebb0:ffff:ffff:ffff |
| 178 | 2001:db8:0:0:ebb1::/80 | 2001:db8::ebb1:ffff:ffff:ffff |
| 179 | 2001:db8:0:0:ebb2::/80 | 2001:db8::ebb2:ffff:ffff:ffff |
| 180 | 2001:db8:0:0:ebb3::/80 | 2001:db8::ebb3:ffff:ffff:ffff |
| 181 | 2001:db8:0:0:ebb4::/80 | 2001:db8::ebb4:ffff:ffff:ffff |
| 182 | 2001:db8:0:0:ebb5::/80 | 2001:db8::ebb5:ffff:ffff:ffff |
| 183 | 2001:db8:0:0:ebb6::/80 | 2001:db8::ebb6:ffff:ffff:ffff |
| 184 | 2001:db8:0:0:ebb7::/80 | 2001:db8::ebb7:ffff:ffff:ffff |
| 185 | 2001:db8:0:0:ebb8::/80 | 2001:db8::ebb8:ffff:ffff:ffff |
| 186 | 2001:db8:0:0:ebb9::/80 | 2001:db8::ebb9:ffff:ffff:ffff |
| 187 | 2001:db8:0:0:ebba::/80 | 2001:db8::ebba:ffff:ffff:ffff |
| 188 | 2001:db8:0:0:ebbb::/80 | 2001:db8::ebbb:ffff:ffff:ffff |
| 189 | 2001:db8:0:0:ebbc::/80 | 2001:db8::ebbc:ffff:ffff:ffff |
| 190 | 2001:db8:0:0:ebbd::/80 | 2001:db8::ebbd:ffff:ffff:ffff |
| 191 | 2001:db8:0:0:ebbe::/80 | 2001:db8::ebbe:ffff:ffff:ffff |
| 192 | 2001:db8:0:0:ebbf::/80 | 2001:db8::ebbf:ffff:ffff:ffff |
| 193 | 2001:db8:0:0:ebc0::/80 | 2001:db8::ebc0:ffff:ffff:ffff |
| 194 | 2001:db8:0:0:ebc1::/80 | 2001:db8::ebc1:ffff:ffff:ffff |
| 195 | 2001:db8:0:0:ebc2::/80 | 2001:db8::ebc2:ffff:ffff:ffff |
| 196 | 2001:db8:0:0:ebc3::/80 | 2001:db8::ebc3:ffff:ffff:ffff |
| 197 | 2001:db8:0:0:ebc4::/80 | 2001:db8::ebc4:ffff:ffff:ffff |
| 198 | 2001:db8:0:0:ebc5::/80 | 2001:db8::ebc5:ffff:ffff:ffff |
| 199 | 2001:db8:0:0:ebc6::/80 | 2001:db8::ebc6:ffff:ffff:ffff |
| 200 | 2001:db8:0:0:ebc7::/80 | 2001:db8::ebc7:ffff:ffff:ffff |
| 201 | 2001:db8:0:0:ebc8::/80 | 2001:db8::ebc8:ffff:ffff:ffff |
| 202 | 2001:db8:0:0:ebc9::/80 | 2001:db8::ebc9:ffff:ffff:ffff |
| 203 | 2001:db8:0:0:ebca::/80 | 2001:db8::ebca:ffff:ffff:ffff |
| 204 | 2001:db8:0:0:ebcb::/80 | 2001:db8::ebcb:ffff:ffff:ffff |
| 205 | 2001:db8:0:0:ebcc::/80 | 2001:db8::ebcc:ffff:ffff:ffff |
| 206 | 2001:db8:0:0:ebcd::/80 | 2001:db8::ebcd:ffff:ffff:ffff |
| 207 | 2001:db8:0:0:ebce::/80 | 2001:db8::ebce:ffff:ffff:ffff |
| 208 | 2001:db8:0:0:ebcf::/80 | 2001:db8::ebcf:ffff:ffff:ffff |
| 209 | 2001:db8:0:0:ebd0::/80 | 2001:db8::ebd0:ffff:ffff:ffff |
| 210 | 2001:db8:0:0:ebd1::/80 | 2001:db8::ebd1:ffff:ffff:ffff |
| 211 | 2001:db8:0:0:ebd2::/80 | 2001:db8::ebd2:ffff:ffff:ffff |
| 212 | 2001:db8:0:0:ebd3::/80 | 2001:db8::ebd3:ffff:ffff:ffff |
| 213 | 2001:db8:0:0:ebd4::/80 | 2001:db8::ebd4:ffff:ffff:ffff |
| 214 | 2001:db8:0:0:ebd5::/80 | 2001:db8::ebd5:ffff:ffff:ffff |
| 215 | 2001:db8:0:0:ebd6::/80 | 2001:db8::ebd6:ffff:ffff:ffff |
| 216 | 2001:db8:0:0:ebd7::/80 | 2001:db8::ebd7:ffff:ffff:ffff |
| 217 | 2001:db8:0:0:ebd8::/80 | 2001:db8::ebd8:ffff:ffff:ffff |
| 218 | 2001:db8:0:0:ebd9::/80 | 2001:db8::ebd9:ffff:ffff:ffff |
| 219 | 2001:db8:0:0:ebda::/80 | 2001:db8::ebda:ffff:ffff:ffff |
| 220 | 2001:db8:0:0:ebdb::/80 | 2001:db8::ebdb:ffff:ffff:ffff |
| 221 | 2001:db8:0:0:ebdc::/80 | 2001:db8::ebdc:ffff:ffff:ffff |
| 222 | 2001:db8:0:0:ebdd::/80 | 2001:db8::ebdd:ffff:ffff:ffff |
| 223 | 2001:db8:0:0:ebde::/80 | 2001:db8::ebde:ffff:ffff:ffff |
| 224 | 2001:db8:0:0:ebdf::/80 | 2001:db8::ebdf:ffff:ffff:ffff |
| 225 | 2001:db8:0:0:ebe0::/80 | 2001:db8::ebe0:ffff:ffff:ffff |
| 226 | 2001:db8:0:0:ebe1::/80 | 2001:db8::ebe1:ffff:ffff:ffff |
| 227 | 2001:db8:0:0:ebe2::/80 | 2001:db8::ebe2:ffff:ffff:ffff |
| 228 | 2001:db8:0:0:ebe3::/80 | 2001:db8::ebe3:ffff:ffff:ffff |
| 229 | 2001:db8:0:0:ebe4::/80 | 2001:db8::ebe4:ffff:ffff:ffff |
| 230 | 2001:db8:0:0:ebe5::/80 | 2001:db8::ebe5:ffff:ffff:ffff |
| 231 | 2001:db8:0:0:ebe6::/80 | 2001:db8::ebe6:ffff:ffff:ffff |
| 232 | 2001:db8:0:0:ebe7::/80 | 2001:db8::ebe7:ffff:ffff:ffff |
| 233 | 2001:db8:0:0:ebe8::/80 | 2001:db8::ebe8:ffff:ffff:ffff |
| 234 | 2001:db8:0:0:ebe9::/80 | 2001:db8::ebe9:ffff:ffff:ffff |
| 235 | 2001:db8:0:0:ebea::/80 | 2001:db8::ebea:ffff:ffff:ffff |
| 236 | 2001:db8:0:0:ebeb::/80 | 2001:db8::ebeb:ffff:ffff:ffff |
| 237 | 2001:db8:0:0:ebec::/80 | 2001:db8::ebec:ffff:ffff:ffff |
| 238 | 2001:db8:0:0:ebed::/80 | 2001:db8::ebed:ffff:ffff:ffff |
| 239 | 2001:db8:0:0:ebee::/80 | 2001:db8::ebee:ffff:ffff:ffff |
| 240 | 2001:db8:0:0:ebef::/80 | 2001:db8::ebef:ffff:ffff:ffff |
| 241 | 2001:db8:0:0:ebf0::/80 | 2001:db8::ebf0:ffff:ffff:ffff |
| 242 | 2001:db8:0:0:ebf1::/80 | 2001:db8::ebf1:ffff:ffff:ffff |
| 243 | 2001:db8:0:0:ebf2::/80 | 2001:db8::ebf2:ffff:ffff:ffff |
| 244 | 2001:db8:0:0:ebf3::/80 | 2001:db8::ebf3:ffff:ffff:ffff |
| 245 | 2001:db8:0:0:ebf4::/80 | 2001:db8::ebf4:ffff:ffff:ffff |
| 246 | 2001:db8:0:0:ebf5::/80 | 2001:db8::ebf5:ffff:ffff:ffff |
| 247 | 2001:db8:0:0:ebf6::/80 | 2001:db8::ebf6:ffff:ffff:ffff |
| 248 | 2001:db8:0:0:ebf7::/80 | 2001:db8::ebf7:ffff:ffff:ffff |
| 249 | 2001:db8:0:0:ebf8::/80 | 2001:db8::ebf8:ffff:ffff:ffff |
| 250 | 2001:db8:0:0:ebf9::/80 | 2001:db8::ebf9:ffff:ffff:ffff |
| 251 | 2001:db8:0:0:ebfa::/80 | 2001:db8::ebfa:ffff:ffff:ffff |
| 252 | 2001:db8:0:0:ebfb::/80 | 2001:db8::ebfb:ffff:ffff:ffff |
| 253 | 2001:db8:0:0:ebfc::/80 | 2001:db8::ebfc:ffff:ffff:ffff |
| 254 | 2001:db8:0:0:ebfd::/80 | 2001:db8::ebfd:ffff:ffff:ffff |
| 255 | 2001:db8:0:0:ebfe::/80 | 2001:db8::ebfe:ffff:ffff:ffff |
| 256 | 2001:db8:0:0:ebff::/80 | 2001:db8::ebff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |